﻿@model IEnumerable<CallMgrSystem.Models.tbl_Users>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.userName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DisplayName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OU)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Department)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AgentType)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AgentID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ExtensionID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Status)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StatusBegin)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DesktopActive)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastDesktopHeartbeat)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Active)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.InboundCalls)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AnsweredCalls)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OutboundCalls)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AvgRingTime)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AvgTalkTime)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AvgIncTalk)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AvgOutTalk)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AvgHoldTime)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.GUID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Code)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DepartmentID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Groups)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.IsAdmin)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastLogOn)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Session)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastMissCallID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AccountCode)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StreamingAddress)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StreamingPort)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.StreamingDeviceID)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.LastStreamingRequest)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.userName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DisplayName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.OU)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Department)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Phone)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AgentType)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AgentID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ExtensionID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Status)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StatusBegin)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DesktopActive)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastDesktopHeartbeat)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Active)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.InboundCalls)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AnsweredCalls)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.OutboundCalls)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AvgRingTime)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AvgTalkTime)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AvgIncTalk)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AvgOutTalk)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AvgHoldTime)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.GUID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.SID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Code)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DepartmentID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Groups)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IsAdmin)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastLogOn)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Session)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastMissCallID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AccountCode)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StreamingAddress)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StreamingPort)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.StreamingDeviceID)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.LastStreamingRequest)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ID })
        </td>
    </tr>
}

</table>
